IF OBJECT_ID ('tempdb..#Temp_SUPMAS') IS NOT NULL DROP TABLE #Temp_SUPMAS;
 
CREATE TABLE #Temp_SUPMAS
( 
	[SUPN] [char](5) COLLATE Latin1_General_CI_AS NOT NULL,
	[ALPH] [char](15) COLLATE Latin1_General_CI_AS NULL,
	[NAME] [char](30) COLLATE Latin1_General_CI_AS NULL,
	[DELC] [bit] NOT NULL,
	[HLIN] [char](16) COLLATE Latin1_General_CI_AS NULL,
	[MERC] [char](30) COLLATE Latin1_General_CI_AS NULL,
	[TYPE] [char](2) COLLATE Latin1_General_CI_AS NULL,
	[ODNO] [int] NOT NULL,
	[BBCN] [char](3) COLLATE Latin1_General_CI_AS NULL,
	[QCTL] [int] NULL,
	[QFLG] [bit] NOT NULL,
	[RDNO] [int] NULL,
	[DLPO] [date] NULL,
	[DLRE] [date] NULL,
	[OPON] [decimal](5, 0) NULL,
	[OPOV] [decimal](11, 2) NULL,
	[QTYO1] [decimal](11, 0) NULL,
	[QTYO2] [decimal](11, 0) NULL,
	[QTYO3] [decimal](11, 0) NULL,
	[QTYO4] [decimal](11, 0) NULL,
	[QTYO5] [decimal](11, 0) NULL,
	[QTYR1] [decimal](11, 0) NULL,
	[QTYR2] [decimal](11, 0) NULL,
	[QTYR3] [decimal](11, 0) NULL,
	[QTYR4] [decimal](11, 0) NULL,
	[QTYR5] [decimal](11, 0) NULL,
	[LREC1] [decimal](7, 0) NULL,
	[LREC2] [decimal](7, 0) NULL,
	[LREC3] [decimal](7, 0) NULL,
	[LREC4] [decimal](7, 0) NULL,
	[LREC5] [decimal](7, 0) NULL,
	[LNRE1] [decimal](7, 0) NULL,
	[LNRE2] [decimal](7, 0) NULL,
	[LNRE3] [decimal](7, 0) NULL,
	[LNRE4] [decimal](7, 0) NULL,
	[LNRE5] [decimal](7, 0) NULL,
	[LOVR1] [decimal](7, 0) NULL,
	[LOVR2] [decimal](7, 0) NULL,
	[LOVR3] [decimal](7, 0) NULL,
	[LOVR4] [decimal](7, 0) NULL,
	[LOVR5] [decimal](7, 0) NULL,
	[LUND1] [decimal](7, 0) NULL,
	[LUND2] [decimal](7, 0) NULL,
	[LUND3] [decimal](7, 0) NULL,
	[LUND4] [decimal](7, 0) NULL,
	[LUND5] [decimal](7, 0) NULL,
	[PREC1] [decimal](7, 0) NULL,
	[PREC2] [decimal](7, 0) NULL,
	[PREC3] [decimal](7, 0) NULL,
	[PREC4] [decimal](7, 0) NULL,
	[PREC5] [decimal](7, 0) NULL,
	[VREC1] [decimal](13, 2) NULL,
	[VREC2] [decimal](13, 2) NULL,
	[VREC3] [decimal](13, 2) NULL,
	[VREC4] [decimal](13, 2) NULL,
	[VREC5] [decimal](13, 2) NULL,
	[DYTR1] [decimal](5, 0) NULL,
	[DYTR2] [decimal](5, 0) NULL,
	[DYTR3] [decimal](5, 0) NULL,
	[DYTR4] [decimal](5, 0) NULL,
	[DYTR5] [decimal](5, 0) NULL,
	[DYSH1] [decimal](3, 0) NULL,
	[DYSH2] [decimal](3, 0) NULL,
	[DYSH3] [decimal](3, 0) NULL,
	[DYSH4] [decimal](3, 0) NULL,
	[DYSH5] [decimal](3, 0) NULL,
	[DYLO1] [decimal](3, 0) NULL,
	[DYLO2] [decimal](3, 0) NULL,
	[DYLO3] [decimal](3, 0) NULL,
	[DYLO4] [decimal](3, 0) NULL,
	[DYLO5] [decimal](3, 0) NULL,
	[VPCC] [char](2) COLLATE Latin1_General_CI_AS NULL,
	[SODT] [date] NULL,
	[SOQDate] [date] NULL,
	[PalletCheck] [bit] NOT NULL
 );

INSERT #Temp_SUPMAS ([SUPN], [ALPH], [NAME], [DELC], [HLIN], [MERC], [TYPE], [ODNO], [BBCN], [QCTL], [QFLG], [RDNO], [DLPO], [DLRE], [OPON], [OPOV], [QTYO1], [QTYO2], [QTYO3], [QTYO4], [QTYO5], [QTYR1], [QTYR2], [QTYR3], [QTYR4], [QTYR5], [LREC1], [LREC2], [LREC3], [LREC4], [LREC5], [LNRE1], [LNRE2], [LNRE3], [LNRE4], [LNRE5], [LOVR1], [LOVR2], [LOVR3], [LOVR4], [LOVR5], [LUND1], [LUND2], [LUND3], [LUND4], [LUND5], [PREC1], [PREC2], [PREC3], [PREC4], [PREC5], [VREC1], [VREC2], [VREC3], [VREC4], [VREC5], [DYTR1], [DYTR2], [DYTR3], [DYTR4], [DYTR5], [DYSH1], [DYSH2], [DYSH3], [DYSH4], [DYSH5], [DYLO1], [DYLO2], [DYLO3], [DYLO4], [DYLO5], [VPCC], [SODT], [SOQDate], [PalletCheck]) VALUES (N'00425', N'ALBION CYLINDER', N'Albion Cylinders              ', 0, N'                ', N'                              ', N'01', 1, N'000', 0, 0, 10, NULL, NULL, CAST(0 AS Decimal(5, 0)), CAST(0.00 AS Decimal(11, 2)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0.00 AS Decimal(13, 2)), CAST(0.00 AS Decimal(13, 2)), CAST(0.00 AS Decimal(13, 2)), CAST(0.00 AS Decimal(13, 2)), CAST(0.00 AS Decimal(13, 2)), CAST(0 AS Decimal(5, 0)), CAST(0 AS Decimal(5, 0)), CAST(0 AS Decimal(5, 0)), CAST(0 AS Decimal(5, 0)), CAST(0 AS Decimal(5, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), N'01', NULL, NULL, 0)
INSERT #Temp_SUPMAS ([SUPN], [ALPH], [NAME], [DELC], [HLIN], [MERC], [TYPE], [ODNO], [BBCN], [QCTL], [QFLG], [RDNO], [DLPO], [DLRE], [OPON], [OPOV], [QTYO1], [QTYO2], [QTYO3], [QTYO4], [QTYO5], [QTYR1], [QTYR2], [QTYR3], [QTYR4], [QTYR5], [LREC1], [LREC2], [LREC3], [LREC4], [LREC5], [LNRE1], [LNRE2], [LNRE3], [LNRE4], [LNRE5], [LOVR1], [LOVR2], [LOVR3], [LOVR4], [LOVR5], [LUND1], [LUND2], [LUND3], [LUND4], [LUND5], [PREC1], [PREC2], [PREC3], [PREC4], [PREC5], [VREC1], [VREC2], [VREC3], [VREC4], [VREC5], [DYTR1], [DYTR2], [DYTR3], [DYTR4], [DYTR5], [DYSH1], [DYSH2], [DYSH3], [DYSH4], [DYSH5], [DYLO1], [DYLO2], [DYLO3], [DYLO4], [DYLO5], [VPCC], [SODT], [SOQDate], [PalletCheck]) VALUES (N'01058', N'CHARTERHOUSE   ', N'Charterhouse                  ', 0, N'01707 262 222   ', N'                              ', N'01', 1, N'000', 0, 0, 10, NULL, CAST(0x5C2E0B00 AS Date), CAST(0 AS Decimal(5, 0)), CAST(0.00 AS Decimal(11, 2)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0.00 AS Decimal(13, 2)), CAST(0.00 AS Decimal(13, 2)), CAST(0.00 AS Decimal(13, 2)), CAST(0.00 AS Decimal(13, 2)), CAST(0.00 AS Decimal(13, 2)), CAST(0 AS Decimal(5, 0)), CAST(0 AS Decimal(5, 0)), CAST(0 AS Decimal(5, 0)), CAST(0 AS Decimal(5, 0)), CAST(0 AS Decimal(5, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), N'00', NULL, NULL, 0)
INSERT #Temp_SUPMAS ([SUPN], [ALPH], [NAME], [DELC], [HLIN], [MERC], [TYPE], [ODNO], [BBCN], [QCTL], [QFLG], [RDNO], [DLPO], [DLRE], [OPON], [OPOV], [QTYO1], [QTYO2], [QTYO3], [QTYO4], [QTYO5], [QTYR1], [QTYR2], [QTYR3], [QTYR4], [QTYR5], [LREC1], [LREC2], [LREC3], [LREC4], [LREC5], [LNRE1], [LNRE2], [LNRE3], [LNRE4], [LNRE5], [LOVR1], [LOVR2], [LOVR3], [LOVR4], [LOVR5], [LUND1], [LUND2], [LUND3], [LUND4], [LUND5], [PREC1], [PREC2], [PREC3], [PREC4], [PREC5], [VREC1], [VREC2], [VREC3], [VREC4], [VREC5], [DYTR1], [DYTR2], [DYTR3], [DYTR4], [DYTR5], [DYSH1], [DYSH2], [DYSH3], [DYSH4], [DYSH5], [DYLO1], [DYLO2], [DYLO3], [DYLO4], [DYLO5], [VPCC], [SODT], [SOQDate], [PalletCheck]) VALUES (N'01241', N'ROHDEN CHINA   ', N'Rohden China                  ', 0, N'                ', N'                              ', N'01', 1, N'544', 0, 1, 1, CAST(0x47360B00 AS Date), CAST(0xDC340B00 AS Date), CAST(13 AS Decimal(5, 0)), CAST(4217.76 AS Decimal(11, 2)), CAST(1491 AS Decimal(11, 0)), CAST(3 AS Decimal(11, 0)), CAST(25 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(66 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(3 AS Decimal(11, 0)), CAST(25 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(65 AS Decimal(11, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(1 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(5 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(1 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(1 AS Decimal(7, 0)), CAST(2 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(9 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(1 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(1 AS Decimal(7, 0)), CAST(3 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(13 AS Decimal(7, 0)), CAST(0.00 AS Decimal(13, 2)), CAST(296.97 AS Decimal(13, 2)), CAST(1380.75 AS Decimal(13, 2)), CAST(0.00 AS Decimal(13, 2)), CAST(4442.39 AS Decimal(13, 2)), CAST(0 AS Decimal(5, 0)), CAST(0 AS Decimal(5, 0)), CAST(5 AS Decimal(5, 0)), CAST(0 AS Decimal(5, 0)), CAST(17 AS Decimal(5, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(5 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(3 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(5 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(5 AS Decimal(3, 0)), N'00', NULL, CAST(0x47360B00 AS Date), 0)
INSERT #Temp_SUPMAS ([SUPN], [ALPH], [NAME], [DELC], [HLIN], [MERC], [TYPE], [ODNO], [BBCN], [QCTL], [QFLG], [RDNO], [DLPO], [DLRE], [OPON], [OPOV], [QTYO1], [QTYO2], [QTYO3], [QTYO4], [QTYO5], [QTYR1], [QTYR2], [QTYR3], [QTYR4], [QTYR5], [LREC1], [LREC2], [LREC3], [LREC4], [LREC5], [LNRE1], [LNRE2], [LNRE3], [LNRE4], [LNRE5], [LOVR1], [LOVR2], [LOVR3], [LOVR4], [LOVR5], [LUND1], [LUND2], [LUND3], [LUND4], [LUND5], [PREC1], [PREC2], [PREC3], [PREC4], [PREC5], [VREC1], [VREC2], [VREC3], [VREC4], [VREC5], [DYTR1], [DYTR2], [DYTR3], [DYTR4], [DYTR5], [DYSH1], [DYSH2], [DYSH3], [DYSH4], [DYSH5], [DYLO1], [DYLO2], [DYLO3], [DYLO4], [DYLO5], [VPCC], [SODT], [SOQDate], [PalletCheck]) VALUES (N'01249', N'ROHDEN         ', N'Rohden                        ', 0, N'                ', N'                              ', N'01', 1, N'544', 0, 1, 1, CAST(0x68360B00 AS Date), CAST(0xF0340B00 AS Date), CAST(73 AS Decimal(5, 0)), CAST(20094.76 AS Decimal(11, 2)), CAST(9120 AS Decimal(11, 0)), CAST(3 AS Decimal(11, 0)), CAST(3 AS Decimal(11, 0)), CAST(1 AS Decimal(11, 0)), CAST(187 AS Decimal(11, 0)), CAST(1 AS Decimal(11, 0)), CAST(3 AS Decimal(11, 0)), CAST(3 AS Decimal(11, 0)), CAST(1 AS Decimal(11, 0)), CAST(175 AS Decimal(11, 0)), CAST(1 AS Decimal(7, 0)), CAST(2 AS Decimal(7, 0)), CAST(1 AS Decimal(7, 0)), CAST(1 AS Decimal(7, 0)), CAST(53 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(2 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(2 AS Decimal(7, 0)), CAST(1 AS Decimal(7, 0)), CAST(2 AS Decimal(7, 0)), CAST(1 AS Decimal(7, 0)), CAST(1 AS Decimal(7, 0)), CAST(38 AS Decimal(7, 0)), CAST(64.99 AS Decimal(13, 2)), CAST(209.97 AS Decimal(13, 2)), CAST(194.97 AS Decimal(13, 2)), CAST(64.99 AS Decimal(13, 2)), CAST(8070.29 AS Decimal(13, 2)), CAST(4 AS Decimal(5, 0)), CAST(10 AS Decimal(5, 0)), CAST(3 AS Decimal(5, 0)), CAST(4 AS Decimal(5, 0)), CAST(142 AS Decimal(5, 0)), CAST(4 AS Decimal(3, 0)), CAST(3 AS Decimal(3, 0)), CAST(3 AS Decimal(3, 0)), CAST(4 AS Decimal(3, 0)), CAST(2 AS Decimal(3, 0)), CAST(4 AS Decimal(3, 0)), CAST(7 AS Decimal(3, 0)), CAST(3 AS Decimal(3, 0)), CAST(4 AS Decimal(3, 0)), CAST(9 AS Decimal(3, 0)), N'00', NULL, CAST(0x68360B00 AS Date), 0)
INSERT #Temp_SUPMAS ([SUPN], [ALPH], [NAME], [DELC], [HLIN], [MERC], [TYPE], [ODNO], [BBCN], [QCTL], [QFLG], [RDNO], [DLPO], [DLRE], [OPON], [OPOV], [QTYO1], [QTYO2], [QTYO3], [QTYO4], [QTYO5], [QTYR1], [QTYR2], [QTYR3], [QTYR4], [QTYR5], [LREC1], [LREC2], [LREC3], [LREC4], [LREC5], [LNRE1], [LNRE2], [LNRE3], [LNRE4], [LNRE5], [LOVR1], [LOVR2], [LOVR3], [LOVR4], [LOVR5], [LUND1], [LUND2], [LUND3], [LUND4], [LUND5], [PREC1], [PREC2], [PREC3], [PREC4], [PREC5], [VREC1], [VREC2], [VREC3], [VREC4], [VREC5], [DYTR1], [DYTR2], [DYTR3], [DYTR4], [DYTR5], [DYSH1], [DYSH2], [DYSH3], [DYSH4], [DYSH5], [DYLO1], [DYLO2], [DYLO3], [DYLO4], [DYLO5], [VPCC], [SODT], [SOQDate], [PalletCheck]) VALUES (N'01570', N'CEMEX UK MATERI', N'CEMEX UK Materials Ltd        ', 0, N'0845 155 1804   ', N'                              ', N'01', 1, N'   ', 0, 0, 1, NULL, NULL, CAST(0 AS Decimal(5, 0)), CAST(0.00 AS Decimal(11, 2)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0.00 AS Decimal(13, 2)), CAST(0.00 AS Decimal(13, 2)), CAST(0.00 AS Decimal(13, 2)), CAST(0.00 AS Decimal(13, 2)), CAST(0.00 AS Decimal(13, 2)), CAST(0 AS Decimal(5, 0)), CAST(0 AS Decimal(5, 0)), CAST(0 AS Decimal(5, 0)), CAST(0 AS Decimal(5, 0)), CAST(0 AS Decimal(5, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), N'00', NULL, NULL, 0)
INSERT #Temp_SUPMAS ([SUPN], [ALPH], [NAME], [DELC], [HLIN], [MERC], [TYPE], [ODNO], [BBCN], [QCTL], [QFLG], [RDNO], [DLPO], [DLRE], [OPON], [OPOV], [QTYO1], [QTYO2], [QTYO3], [QTYO4], [QTYO5], [QTYR1], [QTYR2], [QTYR3], [QTYR4], [QTYR5], [LREC1], [LREC2], [LREC3], [LREC4], [LREC5], [LNRE1], [LNRE2], [LNRE3], [LNRE4], [LNRE5], [LOVR1], [LOVR2], [LOVR3], [LOVR4], [LOVR5], [LUND1], [LUND2], [LUND3], [LUND4], [LUND5], [PREC1], [PREC2], [PREC3], [PREC4], [PREC5], [VREC1], [VREC2], [VREC3], [VREC4], [VREC5], [DYTR1], [DYTR2], [DYTR3], [DYTR4], [DYTR5], [DYSH1], [DYSH2], [DYSH3], [DYSH4], [DYSH5], [DYLO1], [DYLO2], [DYLO3], [DYLO4], [DYLO5], [VPCC], [SODT], [SOQDate], [PalletCheck]) VALUES (N'01576', N'VELI AKGUN INSA', N'Veli Akgun Insaat Seramik San ', 0, N'7989 542693     ', N'                              ', N'01', 1, N'   ', 0, 0, 1, NULL, NULL, CAST(0 AS Decimal(5, 0)), CAST(0.00 AS Decimal(11, 2)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0.00 AS Decimal(13, 2)), CAST(0.00 AS Decimal(13, 2)), CAST(0.00 AS Decimal(13, 2)), CAST(0.00 AS Decimal(13, 2)), CAST(0.00 AS Decimal(13, 2)), CAST(0 AS Decimal(5, 0)), CAST(0 AS Decimal(5, 0)), CAST(0 AS Decimal(5, 0)), CAST(0 AS Decimal(5, 0)), CAST(0 AS Decimal(5, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), N'00', NULL, NULL, 0)
INSERT #Temp_SUPMAS ([SUPN], [ALPH], [NAME], [DELC], [HLIN], [MERC], [TYPE], [ODNO], [BBCN], [QCTL], [QFLG], [RDNO], [DLPO], [DLRE], [OPON], [OPOV], [QTYO1], [QTYO2], [QTYO3], [QTYO4], [QTYO5], [QTYR1], [QTYR2], [QTYR3], [QTYR4], [QTYR5], [LREC1], [LREC2], [LREC3], [LREC4], [LREC5], [LNRE1], [LNRE2], [LNRE3], [LNRE4], [LNRE5], [LOVR1], [LOVR2], [LOVR3], [LOVR4], [LOVR5], [LUND1], [LUND2], [LUND3], [LUND4], [LUND5], [PREC1], [PREC2], [PREC3], [PREC4], [PREC5], [VREC1], [VREC2], [VREC3], [VREC4], [VREC5], [DYTR1], [DYTR2], [DYTR3], [DYTR4], [DYTR5], [DYSH1], [DYSH2], [DYSH3], [DYSH4], [DYSH5], [DYLO1], [DYLO2], [DYLO3], [DYLO4], [DYLO5], [VPCC], [SODT], [SOQDate], [PalletCheck]) VALUES (N'01579', N'SPAX UK LIMITED', N'SPAX UK LIMITED               ', 0, N'01902 703355    ', N'                              ', N'01', 1, N'   ', 0, 0, 1, NULL, NULL, CAST(0 AS Decimal(5, 0)), CAST(0.00 AS Decimal(11, 2)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0.00 AS Decimal(13, 2)), CAST(0.00 AS Decimal(13, 2)), CAST(0.00 AS Decimal(13, 2)), CAST(0.00 AS Decimal(13, 2)), CAST(0.00 AS Decimal(13, 2)), CAST(0 AS Decimal(5, 0)), CAST(0 AS Decimal(5, 0)), CAST(0 AS Decimal(5, 0)), CAST(0 AS Decimal(5, 0)), CAST(0 AS Decimal(5, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), N'00', NULL, NULL, 0)
INSERT #Temp_SUPMAS ([SUPN], [ALPH], [NAME], [DELC], [HLIN], [MERC], [TYPE], [ODNO], [BBCN], [QCTL], [QFLG], [RDNO], [DLPO], [DLRE], [OPON], [OPOV], [QTYO1], [QTYO2], [QTYO3], [QTYO4], [QTYO5], [QTYR1], [QTYR2], [QTYR3], [QTYR4], [QTYR5], [LREC1], [LREC2], [LREC3], [LREC4], [LREC5], [LNRE1], [LNRE2], [LNRE3], [LNRE4], [LNRE5], [LOVR1], [LOVR2], [LOVR3], [LOVR4], [LOVR5], [LUND1], [LUND2], [LUND3], [LUND4], [LUND5], [PREC1], [PREC2], [PREC3], [PREC4], [PREC5], [VREC1], [VREC2], [VREC3], [VREC4], [VREC5], [DYTR1], [DYTR2], [DYTR3], [DYTR4], [DYTR5], [DYSH1], [DYSH2], [DYSH3], [DYSH4], [DYSH5], [DYLO1], [DYLO2], [DYLO3], [DYLO4], [DYLO5], [VPCC], [SODT], [SOQDate], [PalletCheck]) VALUES (N'01580', N'TITE-FIX LIMITE', N'Tite-Fix Limited              ', 0, N'0844 571 0003   ', N'                              ', N'01', 1, N'   ', 0, 0, 1, NULL, NULL, CAST(0 AS Decimal(5, 0)), CAST(0.00 AS Decimal(11, 2)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0.00 AS Decimal(13, 2)), CAST(0.00 AS Decimal(13, 2)), CAST(0.00 AS Decimal(13, 2)), CAST(0.00 AS Decimal(13, 2)), CAST(0.00 AS Decimal(13, 2)), CAST(0 AS Decimal(5, 0)), CAST(0 AS Decimal(5, 0)), CAST(0 AS Decimal(5, 0)), CAST(0 AS Decimal(5, 0)), CAST(0 AS Decimal(5, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), N'00', NULL, NULL, 0)
INSERT #Temp_SUPMAS ([SUPN], [ALPH], [NAME], [DELC], [HLIN], [MERC], [TYPE], [ODNO], [BBCN], [QCTL], [QFLG], [RDNO], [DLPO], [DLRE], [OPON], [OPOV], [QTYO1], [QTYO2], [QTYO3], [QTYO4], [QTYO5], [QTYR1], [QTYR2], [QTYR3], [QTYR4], [QTYR5], [LREC1], [LREC2], [LREC3], [LREC4], [LREC5], [LNRE1], [LNRE2], [LNRE3], [LNRE4], [LNRE5], [LOVR1], [LOVR2], [LOVR3], [LOVR4], [LOVR5], [LUND1], [LUND2], [LUND3], [LUND4], [LUND5], [PREC1], [PREC2], [PREC3], [PREC4], [PREC5], [VREC1], [VREC2], [VREC3], [VREC4], [VREC5], [DYTR1], [DYTR2], [DYTR3], [DYTR4], [DYTR5], [DYSH1], [DYSH2], [DYSH3], [DYSH4], [DYSH5], [DYLO1], [DYLO2], [DYLO3], [DYLO4], [DYLO5], [VPCC], [SODT], [SOQDate], [PalletCheck]) VALUES (N'64015', N'EUROPEAN WATERC', N'European Watercare Limited    ', 0, N'01279 780 250   ', N'                              ', N'01', 1, N'000', 0, 0, 10, NULL, NULL, CAST(0 AS Decimal(5, 0)), CAST(0.00 AS Decimal(11, 2)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0.00 AS Decimal(13, 2)), CAST(0.00 AS Decimal(13, 2)), CAST(0.00 AS Decimal(13, 2)), CAST(0.00 AS Decimal(13, 2)), CAST(0.00 AS Decimal(13, 2)), CAST(0 AS Decimal(5, 0)), CAST(0 AS Decimal(5, 0)), CAST(0 AS Decimal(5, 0)), CAST(0 AS Decimal(5, 0)), CAST(0 AS Decimal(5, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), N'22', NULL, NULL, 0)
INSERT #Temp_SUPMAS ([SUPN], [ALPH], [NAME], [DELC], [HLIN], [MERC], [TYPE], [ODNO], [BBCN], [QCTL], [QFLG], [RDNO], [DLPO], [DLRE], [OPON], [OPOV], [QTYO1], [QTYO2], [QTYO3], [QTYO4], [QTYO5], [QTYR1], [QTYR2], [QTYR3], [QTYR4], [QTYR5], [LREC1], [LREC2], [LREC3], [LREC4], [LREC5], [LNRE1], [LNRE2], [LNRE3], [LNRE4], [LNRE5], [LOVR1], [LOVR2], [LOVR3], [LOVR4], [LOVR5], [LUND1], [LUND2], [LUND3], [LUND4], [LUND5], [PREC1], [PREC2], [PREC3], [PREC4], [PREC5], [VREC1], [VREC2], [VREC3], [VREC4], [VREC5], [DYTR1], [DYTR2], [DYTR3], [DYTR4], [DYTR5], [DYSH1], [DYSH2], [DYSH3], [DYSH4], [DYSH5], [DYLO1], [DYLO2], [DYLO3], [DYLO4], [DYLO5], [VPCC], [SODT], [SOQDate], [PalletCheck]) VALUES (N'69481', N'HANSON PACKED P', N'Hanson Packed Products Ltd    ', 0, N'033 0123 1016   ', N'                              ', N'01', 2, N'000', 0, 0, 12, CAST(0x1F370B00 AS Date), CAST(0xB4370B00 AS Date), CAST(1 AS Decimal(5, 0)), CAST(-772.76 AS Decimal(11, 2)), CAST(107894 AS Decimal(11, 0)), CAST(2093 AS Decimal(11, 0)), CAST(1075 AS Decimal(11, 0)), CAST(589 AS Decimal(11, 0)), CAST(16389 AS Decimal(11, 0)), CAST(688 AS Decimal(11, 0)), CAST(2140 AS Decimal(11, 0)), CAST(1090 AS Decimal(11, 0)), CAST(688 AS Decimal(11, 0)), CAST(16308 AS Decimal(11, 0)), CAST(11 AS Decimal(7, 0)), CAST(21 AS Decimal(7, 0)), CAST(41 AS Decimal(7, 0)), CAST(11 AS Decimal(7, 0)), CAST(286 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(1 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(3 AS Decimal(7, 0)), CAST(4 AS Decimal(7, 0)), CAST(4 AS Decimal(7, 0)), CAST(5 AS Decimal(7, 0)), CAST(4 AS Decimal(7, 0)), CAST(32 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(2 AS Decimal(7, 0)), CAST(1 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(17 AS Decimal(7, 0)), CAST(2 AS Decimal(7, 0)), CAST(3 AS Decimal(7, 0)), CAST(9 AS Decimal(7, 0)), CAST(2 AS Decimal(7, 0)), CAST(81 AS Decimal(7, 0)), CAST(2929.16 AS Decimal(13, 2)), CAST(5909.86 AS Decimal(13, 2)), CAST(13486.98 AS Decimal(13, 2)), CAST(2929.16 AS Decimal(13, 2)), CAST(137269.06 AS Decimal(13, 2)), CAST(8 AS Decimal(5, 0)), CAST(10 AS Decimal(5, 0)), CAST(24 AS Decimal(5, 0)), CAST(8 AS Decimal(5, 0)), CAST(176 AS Decimal(5, 0)), CAST(3 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(3 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(5 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(5 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), N'05', NULL, CAST(0x1F370B00 AS Date), 0)
INSERT #Temp_SUPMAS ([SUPN], [ALPH], [NAME], [DELC], [HLIN], [MERC], [TYPE], [ODNO], [BBCN], [QCTL], [QFLG], [RDNO], [DLPO], [DLRE], [OPON], [OPOV], [QTYO1], [QTYO2], [QTYO3], [QTYO4], [QTYO5], [QTYR1], [QTYR2], [QTYR3], [QTYR4], [QTYR5], [LREC1], [LREC2], [LREC3], [LREC4], [LREC5], [LNRE1], [LNRE2], [LNRE3], [LNRE4], [LNRE5], [LOVR1], [LOVR2], [LOVR3], [LOVR4], [LOVR5], [LUND1], [LUND2], [LUND3], [LUND4], [LUND5], [PREC1], [PREC2], [PREC3], [PREC4], [PREC5], [VREC1], [VREC2], [VREC3], [VREC4], [VREC5], [DYTR1], [DYTR2], [DYTR3], [DYTR4], [DYTR5], [DYSH1], [DYSH2], [DYSH3], [DYSH4], [DYSH5], [DYLO1], [DYLO2], [DYLO3], [DYLO4], [DYLO5], [VPCC], [SODT], [SOQDate], [PalletCheck]) VALUES (N'00525', N'WICKES IW NETHE', N'Wickes IW Nether Heyford      ', 0, N'0870 2405779    ', N'                              ', N'01', 1, N'544', 0, 0, 1, NULL, CAST(0xC3300B00 AS Date), CAST(13 AS Decimal(5, 0)), CAST(2.40 AS Decimal(11, 2)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0.00 AS Decimal(13, 2)), CAST(0.00 AS Decimal(13, 2)), CAST(0.00 AS Decimal(13, 2)), CAST(0.00 AS Decimal(13, 2)), CAST(0.00 AS Decimal(13, 2)), CAST(0 AS Decimal(5, 0)), CAST(0 AS Decimal(5, 0)), CAST(0 AS Decimal(5, 0)), CAST(0 AS Decimal(5, 0)), CAST(0 AS Decimal(5, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), N'00', NULL, NULL, 0)
INSERT #Temp_SUPMAS ([SUPN], [ALPH], [NAME], [DELC], [HLIN], [MERC], [TYPE], [ODNO], [BBCN], [QCTL], [QFLG], [RDNO], [DLPO], [DLRE], [OPON], [OPOV], [QTYO1], [QTYO2], [QTYO3], [QTYO4], [QTYO5], [QTYR1], [QTYR2], [QTYR3], [QTYR4], [QTYR5], [LREC1], [LREC2], [LREC3], [LREC4], [LREC5], [LNRE1], [LNRE2], [LNRE3], [LNRE4], [LNRE5], [LOVR1], [LOVR2], [LOVR3], [LOVR4], [LOVR5], [LUND1], [LUND2], [LUND3], [LUND4], [LUND5], [PREC1], [PREC2], [PREC3], [PREC4], [PREC5], [VREC1], [VREC2], [VREC3], [VREC4], [VREC5], [DYTR1], [DYTR2], [DYTR3], [DYTR4], [DYTR5], [DYSH1], [DYSH2], [DYSH3], [DYSH4], [DYSH5], [DYLO1], [DYLO2], [DYLO3], [DYLO4], [DYLO5], [VPCC], [SODT], [SOQDate], [PalletCheck]) VALUES (N'00526', N'EUROPACKAGING P', N'Europackaging Plc             ', 0, N'0121 706 6181   ', N'                              ', N'01', 1, N'544', 0, 0, 10, NULL, CAST(0xA5320B00 AS Date), CAST(1 AS Decimal(5, 0)), CAST(0.06 AS Decimal(11, 2)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0.00 AS Decimal(13, 2)), CAST(0.00 AS Decimal(13, 2)), CAST(0.00 AS Decimal(13, 2)), CAST(0.00 AS Decimal(13, 2)), CAST(0.00 AS Decimal(13, 2)), CAST(0 AS Decimal(5, 0)), CAST(0 AS Decimal(5, 0)), CAST(0 AS Decimal(5, 0)), CAST(0 AS Decimal(5, 0)), CAST(0 AS Decimal(5, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), N'00', NULL, NULL, 0)
INSERT #Temp_SUPMAS ([SUPN], [ALPH], [NAME], [DELC], [HLIN], [MERC], [TYPE], [ODNO], [BBCN], [QCTL], [QFLG], [RDNO], [DLPO], [DLRE], [OPON], [OPOV], [QTYO1], [QTYO2], [QTYO3], [QTYO4], [QTYO5], [QTYR1], [QTYR2], [QTYR3], [QTYR4], [QTYR5], [LREC1], [LREC2], [LREC3], [LREC4], [LREC5], [LNRE1], [LNRE2], [LNRE3], [LNRE4], [LNRE5], [LOVR1], [LOVR2], [LOVR3], [LOVR4], [LOVR5], [LUND1], [LUND2], [LUND3], [LUND4], [LUND5], [PREC1], [PREC2], [PREC3], [PREC4], [PREC5], [VREC1], [VREC2], [VREC3], [VREC4], [VREC5], [DYTR1], [DYTR2], [DYTR3], [DYTR4], [DYTR5], [DYSH1], [DYSH2], [DYSH3], [DYSH4], [DYSH5], [DYLO1], [DYLO2], [DYLO3], [DYLO4], [DYLO5], [VPCC], [SODT], [SOQDate], [PalletCheck]) VALUES (N'00527', N'BUNZL          ', N'Bunzl                         ', 0, N'0161 794 8080   ', N'                              ', N'01', 1, N'514', 0, 0, 10, NULL, CAST(0xBF280B00 AS Date), CAST(0 AS Decimal(5, 0)), CAST(0.00 AS Decimal(11, 2)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0.00 AS Decimal(13, 2)), CAST(0.00 AS Decimal(13, 2)), CAST(0.00 AS Decimal(13, 2)), CAST(0.00 AS Decimal(13, 2)), CAST(0.00 AS Decimal(13, 2)), CAST(0 AS Decimal(5, 0)), CAST(0 AS Decimal(5, 0)), CAST(0 AS Decimal(5, 0)), CAST(0 AS Decimal(5, 0)), CAST(0 AS Decimal(5, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), N'00', NULL, NULL, 0)
INSERT #Temp_SUPMAS ([SUPN], [ALPH], [NAME], [DELC], [HLIN], [MERC], [TYPE], [ODNO], [BBCN], [QCTL], [QFLG], [RDNO], [DLPO], [DLRE], [OPON], [OPOV], [QTYO1], [QTYO2], [QTYO3], [QTYO4], [QTYO5], [QTYR1], [QTYR2], [QTYR3], [QTYR4], [QTYR5], [LREC1], [LREC2], [LREC3], [LREC4], [LREC5], [LNRE1], [LNRE2], [LNRE3], [LNRE4], [LNRE5], [LOVR1], [LOVR2], [LOVR3], [LOVR4], [LOVR5], [LUND1], [LUND2], [LUND3], [LUND4], [LUND5], [PREC1], [PREC2], [PREC3], [PREC4], [PREC5], [VREC1], [VREC2], [VREC3], [VREC4], [VREC5], [DYTR1], [DYTR2], [DYTR3], [DYTR4], [DYTR5], [DYSH1], [DYSH2], [DYSH3], [DYSH4], [DYSH5], [DYLO1], [DYLO2], [DYLO3], [DYLO4], [DYLO5], [VPCC], [SODT], [SOQDate], [PalletCheck]) VALUES (N'95325', N'COMAP WESTCO LT', N'Comap Westco Ltd              ', 0, N'                ', N'                              ', N'01', 1, N'514', 0, 0, 10, CAST(0x432D0B00 AS Date), CAST(0x412D0B00 AS Date), CAST(0 AS Decimal(5, 0)), CAST(0.00 AS Decimal(11, 2)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0.00 AS Decimal(13, 2)), CAST(0.00 AS Decimal(13, 2)), CAST(0.00 AS Decimal(13, 2)), CAST(0.00 AS Decimal(13, 2)), CAST(0.00 AS Decimal(13, 2)), CAST(0 AS Decimal(5, 0)), CAST(0 AS Decimal(5, 0)), CAST(0 AS Decimal(5, 0)), CAST(0 AS Decimal(5, 0)), CAST(0 AS Decimal(5, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), N'01', NULL, NULL, 0)
INSERT #Temp_SUPMAS ([SUPN], [ALPH], [NAME], [DELC], [HLIN], [MERC], [TYPE], [ODNO], [BBCN], [QCTL], [QFLG], [RDNO], [DLPO], [DLRE], [OPON], [OPOV], [QTYO1], [QTYO2], [QTYO3], [QTYO4], [QTYO5], [QTYR1], [QTYR2], [QTYR3], [QTYR4], [QTYR5], [LREC1], [LREC2], [LREC3], [LREC4], [LREC5], [LNRE1], [LNRE2], [LNRE3], [LNRE4], [LNRE5], [LOVR1], [LOVR2], [LOVR3], [LOVR4], [LOVR5], [LUND1], [LUND2], [LUND3], [LUND4], [LUND5], [PREC1], [PREC2], [PREC3], [PREC4], [PREC5], [VREC1], [VREC2], [VREC3], [VREC4], [VREC5], [DYTR1], [DYTR2], [DYTR3], [DYTR4], [DYTR5], [DYSH1], [DYSH2], [DYSH3], [DYSH4], [DYSH5], [DYLO1], [DYLO2], [DYLO3], [DYLO4], [DYLO5], [VPCC], [SODT], [SOQDate], [PalletCheck]) VALUES (N'99752', N'LG HARRIS & CO ', N'LG Harris & Co                ', 0, N'01527 575441    ', N'                              ', N'01', 1, N'534', 0, 0, 10, CAST(0xD22F0B00 AS Date), CAST(0xC52F0B00 AS Date), CAST(0 AS Decimal(5, 0)), CAST(0.00 AS Decimal(11, 2)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0.00 AS Decimal(13, 2)), CAST(0.00 AS Decimal(13, 2)), CAST(0.00 AS Decimal(13, 2)), CAST(0.00 AS Decimal(13, 2)), CAST(0.00 AS Decimal(13, 2)), CAST(0 AS Decimal(5, 0)), CAST(0 AS Decimal(5, 0)), CAST(0 AS Decimal(5, 0)), CAST(0 AS Decimal(5, 0)), CAST(0 AS Decimal(5, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), N'00', NULL, NULL, 0)
INSERT #Temp_SUPMAS ([SUPN], [ALPH], [NAME], [DELC], [HLIN], [MERC], [TYPE], [ODNO], [BBCN], [QCTL], [QFLG], [RDNO], [DLPO], [DLRE], [OPON], [OPOV], [QTYO1], [QTYO2], [QTYO3], [QTYO4], [QTYO5], [QTYR1], [QTYR2], [QTYR3], [QTYR4], [QTYR5], [LREC1], [LREC2], [LREC3], [LREC4], [LREC5], [LNRE1], [LNRE2], [LNRE3], [LNRE4], [LNRE5], [LOVR1], [LOVR2], [LOVR3], [LOVR4], [LOVR5], [LUND1], [LUND2], [LUND3], [LUND4], [LUND5], [PREC1], [PREC2], [PREC3], [PREC4], [PREC5], [VREC1], [VREC2], [VREC3], [VREC4], [VREC5], [DYTR1], [DYTR2], [DYTR3], [DYTR4], [DYTR5], [DYSH1], [DYSH2], [DYSH3], [DYSH4], [DYSH5], [DYLO1], [DYLO2], [DYLO3], [DYLO4], [DYLO5], [VPCC], [SODT], [SOQDate], [PalletCheck]) VALUES (N'99759', N'BOSTIK FINDLEY ', N'Bostik Findley Ltd            ', 0, N'01785 272727    ', N'                              ', N'01', 1, N'544', 0, 0, 10, CAST(0x59330B00 AS Date), CAST(0xD2330B00 AS Date), CAST(0 AS Decimal(5, 0)), CAST(0.00 AS Decimal(11, 2)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(12 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(0 AS Decimal(11, 0)), CAST(12 AS Decimal(11, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(1 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(1 AS Decimal(7, 0)), CAST(0.00 AS Decimal(13, 2)), CAST(0.00 AS Decimal(13, 2)), CAST(0.00 AS Decimal(13, 2)), CAST(0.00 AS Decimal(13, 2)), CAST(44.28 AS Decimal(13, 2)), CAST(0 AS Decimal(5, 0)), CAST(0 AS Decimal(5, 0)), CAST(0 AS Decimal(5, 0)), CAST(0 AS Decimal(5, 0)), CAST(2 AS Decimal(5, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(2 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(0 AS Decimal(3, 0)), CAST(2 AS Decimal(3, 0)), N'00', NULL, NULL, 0)

MERGE  [dbo].[SUPMAS] AS Target
 USING #Temp_SUPMAS AS Source
	ON Target.[SUPN] = Source.[SUPN]
WHEN MATCHED THEN
UPDATE SET
 Target.[ALPH] = Source.[ALPH], Target.[NAME] = Source.[NAME], Target.[DELC] = Source.[DELC], Target.[HLIN] = Source.[HLIN], Target.[MERC] = Source.[MERC]
,Target.[TYPE] = Source.[TYPE], Target.[ODNO] = Source.[ODNO], Target.[BBCN] = Source.[BBCN], Target.[QCTL] = Source.[QCTL], Target.[QFLG] = Source.[QFLG]
,Target.[RDNO] = Source.[RDNO], Target.[DLPO] = Source.[DLPO], Target.[DLRE] = Source.[DLRE], Target.[OPON] = Source.[OPON], Target.[OPOV] = Source.[OPOV]
,Target.[QTYO1] = Source.[QTYO1], Target.[QTYO2] = Source.[QTYO2], Target.[QTYO3] = Source.[QTYO3], Target.[QTYO4] = Source.[QTYO4], Target.[QTYO5] = Source.[QTYO5]
,Target.[QTYR1] = Source.[QTYR1], Target.[QTYR2] = Source.[QTYR2], Target.[QTYR3] = Source.[QTYR3], Target.[QTYR4] = Source.[QTYR4], Target.[QTYR5] = Source.[QTYR5]
,Target.[LREC1] = Source.[LREC1], Target.[LREC2] = Source.[LREC2], Target.[LREC3] = Source.[LREC3], Target.[LREC4] = Source.[LREC4], Target.[LREC5] = Source.[LREC5]
,Target.[LNRE1] = Source.[LNRE1], Target.[LNRE2] = Source.[LNRE2], Target.[LNRE3] = Source.[LNRE3], Target.[LNRE4] = Source.[LNRE4], Target.[LNRE5] = Source.[LNRE5]
,Target.[LOVR1] = Source.[LOVR1], Target.[LOVR2] = Source.[LOVR2], Target.[LOVR3] = Source.[LOVR3], Target.[LOVR4] = Source.[LOVR4], Target.[LOVR5] = Source.[LOVR5]
,Target.[LUND1] = Source.[LUND1], Target.[LUND2] = Source.[LUND2], Target.[LUND3] = Source.[LUND3], Target.[LUND4] = Source.[LUND4], Target.[LUND5] = Source.[LUND5]
,Target.[PREC1] = Source.[PREC1], Target.[PREC2] = Source.[PREC2], Target.[PREC3] = Source.[PREC3], Target.[PREC4] = Source.[PREC4], Target.[PREC5] = Source.[PREC5]
,Target.[VREC1] = Source.[VREC1], Target.[VREC2] = Source.[VREC2], Target.[VREC3] = Source.[VREC3], Target.[VREC4] = Source.[VREC4], Target.[VREC5] = Source.[VREC5]
,Target.[DYTR1] = Source.[DYTR1], Target.[DYTR2] = Source.[DYTR2], Target.[DYTR3] = Source.[DYTR3], Target.[DYTR4] = Source.[DYTR4], Target.[DYTR5] = Source.[DYTR5]
,Target.[DYSH1] = Source.[DYSH1], Target.[DYSH2] = Source.[DYSH2], Target.[DYSH3] = Source.[DYSH3], Target.[DYSH4] = Source.[DYSH4], Target.[DYSH5] = Source.[DYSH5]
,Target.[DYLO1] = Source.[DYLO1], Target.[DYLO2] = Source.[DYLO2], Target.[DYLO3] = Source.[DYLO3], Target.[DYLO4] = Source.[DYLO4], Target.[DYLO5] = Source.[DYLO5]
,Target.[VPCC] = Source.[VPCC], Target.[SODT] = Source.[SODT], Target.[SOQDate] = Source.[SOQDate], Target.[PalletCheck] = Source.[PalletCheck]
WHEN NOT MATCHED THEN
INSERT (
 [SUPN], [ALPH], [NAME], [DELC], [HLIN], [MERC], [TYPE], [ODNO], [BBCN], [QCTL], [QFLG], [RDNO], [DLPO], [DLRE], [OPON], [OPOV], [QTYO1], [QTYO2], [QTYO3]
,[QTYO4], [QTYO5], [QTYR1], [QTYR2], [QTYR3], [QTYR4], [QTYR5], [LREC1], [LREC2], [LREC3], [LREC4], [LREC5], [LNRE1], [LNRE2], [LNRE3], [LNRE4], [LNRE5], [LOVR1]
,[LOVR2], [LOVR3], [LOVR4], [LOVR5], [LUND1], [LUND2], [LUND3], [LUND4], [LUND5], [PREC1], [PREC2], [PREC3], [PREC4], [PREC5], [VREC1], [VREC2], [VREC3], [VREC4]
,[VREC5], [DYTR1], [DYTR2], [DYTR3], [DYTR4], [DYTR5], [DYSH1], [DYSH2], [DYSH3], [DYSH4], [DYSH5], [DYLO1], [DYLO2], [DYLO3], [DYLO4], [DYLO5], [VPCC], [SODT]
,[SOQDate], [PalletCheck]
)
VALUES (
 Source.[SUPN], Source.[ALPH], Source.[NAME], Source.[DELC], Source.[HLIN], Source.[MERC], Source.[TYPE], Source.[ODNO], Source.[BBCN], Source.[QCTL], Source.[QFLG]
,Source.[RDNO], Source.[DLPO], Source.[DLRE], Source.[OPON], Source.[OPOV], Source.[QTYO1], Source.[QTYO2], Source.[QTYO3], Source.[QTYO4], Source.[QTYO5], Source.[QTYR1]
,Source.[QTYR2], Source.[QTYR3], Source.[QTYR4], Source.[QTYR5], Source.[LREC1], Source.[LREC2], Source.[LREC3], Source.[LREC4], Source.[LREC5], Source.[LNRE1], Source.[LNRE2]
,Source.[LNRE3], Source.[LNRE4], Source.[LNRE5], Source.[LOVR1], Source.[LOVR2], Source.[LOVR3], Source.[LOVR4], Source.[LOVR5], Source.[LUND1], Source.[LUND2], Source.[LUND3]
,Source.[LUND4], Source.[LUND5], Source.[PREC1], Source.[PREC2], Source.[PREC3], Source.[PREC4], Source.[PREC5], Source.[VREC1], Source.[VREC2], Source.[VREC3], Source.[VREC4]
,Source.[VREC5], Source.[DYTR1], Source.[DYTR2], Source.[DYTR3], Source.[DYTR4], Source.[DYTR5], Source.[DYSH1], Source.[DYSH2], Source.[DYSH3], Source.[DYSH4], Source.[DYSH5]
,Source.[DYLO1], Source.[DYLO2], Source.[DYLO3], Source.[DYLO4], Source.[DYLO5], Source.[VPCC], Source.[SODT], Source.[SOQDate], Source.[PalletCheck]
);
GO